> ## Documentation Index
> Fetch the complete documentation index at: https://docs.epigos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Introduction

> Epigos AI provides a REST API for you to use your models.

## Base URL

The Metal API is available at the following URL

```
https://api.epigos.ai
```

## Authentication

Epigos uses API keys for request authentication. You can access and manage your API keys in the [dashboard](https://app.epigos.ai/) within the workspace settings.

### API Key Headers

| Title   | Header      | Example Key          |
| :------ | :---------- | :------------------- |
| API Key | `x-api-key` | `api_key_1234567890` |

#### Example Authenticated Request

```bash theme={null}
curl 'https://api.epigos.ai' \
--header 'Content-Type: application/json' \
--header 'x-api-key: api_key_1234567890'

```

or as query parameters

### API Key Query

| Title   | Query     | Example Key          |
| :------ | :-------- | :------------------- |
| API Key | `api-key` | `api_key_1234567890` |

#### Example Authenticated Request

```bash theme={null}
curl 'https://api.epigos.ai?api-key=api_key_1234567890' \
--header 'Content-Type: application/json'
```

### Retrieve an API Key

You can retrieve an API key from your Epigos AI workspace settings.

First, go to the [Epigos AI dashboard](https://app.epigos.ai/). Then, click on *Workspace Settings* dropdown and click on *API Keys*:

## Response Codes

Epigos uses conventional HTTP response codes to indicate the success or failure of an API request.
In general, codes in the `2xx` range indicate success, codes in the `4xx` range indicate an error that failed given
the information provided (e.g., a required parameter was omitted, a charge failed, etc.),
and codes in the `5xx` range indicate an error with Metal's servers.

| Code | Description                                          |
| :--- | :--------------------------------------------------- |
| 200  | OK - Everything worked as expected.                  |
| 400  | Bad Request - Often missing a required parameter.    |
| 401  | Unauthorized - No valid API key provided.            |
| 404  | Not Found - The requested item doesn't exist.        |
| 5xx  | Server Errors - something went wrong on Metal's end. |
